ethereumjs-vm 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1383441 漏洞类型 缓冲区错误
发布时间 2018-11-12 更新时间 2020-07-15
CVE编号 CVE-2018-19183 CNNVD-ID CNNVD-201811-292
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201811-292
|漏洞详情
ethereumjs-vm是一款基于JavaScript实现的以太坊虚拟机。 ethereumjs-vm 2.4.0版本中存在安全漏洞。攻击者可借助‘code: Buffer.from(my_code, \'\'hex\'\')’属性利用该漏洞造成拒绝服务。
|参考资料

来源:github.com

链接:https://github.com/ethereumjs/ethereumjs-vm/issues/386